Is it supported does it need an additional patch is the one for server 2012 good enough?

You cannot run a Windows 8-based or Windows Server 2012-based virtual machine in Windows Server 2008 or in Windows Server 2008 R2